class Module
  private
  alias_method :remove, :remove_method
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def the_removed_method ; 'not here' ; end

    remove :the_removed_method

    def test_remove
      assert( ! respond_to?( :the_removed_method ) )
    end

  end

=end
